Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.config.format
Class Row

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.config.format.Row

All Implemented Interfaces:
  java.io.Serializable

    public class Row

extends java.lang.Object
implements java.io.Serializable

This class was automatically generated with Castor 1.3rc1, using an XML Schema. $Id: Row.java,v 1.4 2009/01/19 14:06:34 a130499 Exp $
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Constructor Summary
`Row()`

Method Summary
`void` | `addItem(int index, Item vItem)`
`void` | `addItem(Item vItem)`
`void` | `addItem(Item vItem, java.util.ArrayList<java.lang.String> loggerTraceList)`
`void` | `deleteIndex()`
`java.util.Enumeration<? extends Item>` | `enumerateItem()` Method enumerateItem.
`boolean` | `equals(java.lang.Object object)`
`java.lang.String` | `getId()` Returns the value of field 'id'.
`long` | `getIndex()` Returns the value of field 'index'.
`Item[]` | `getItem()` Method getItem.Returns the contents of the collection in an Array.
`Item` | `getItem(int index)` Method getItem.
`int` | `getItemCount()` Method getItemCount.
`java.util.HashSet` | `getItemsInRow()`
`java.lang.String` | `getValue()` Returns the value of field 'value'.
`boolean` | `hasIndex()` Method hasIndex.
`boolean` | `isValid()` Method isValid.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllItem()`
`boolean` | `removeItem(Item vItem)` Method removeItem.
`Item` | `removeItemAt(int index)` Method removeItemAt.
`void` | `setId(java.lang.String id)` Sets the value of field 'id'.
`void` | `setIndex(long index)` Sets the value of field 'index'.
`void` | `setItem(int index, Item vItem)`
`void` | `setItem(Item[] vItemArray)`
`void` | `setValue(java.lang.String value)` Sets the value of field 'value'.
`static Row` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Row

    public Row()

Method Detail

### getItemsInRow

    public java.util.HashSet getItemsInRow()

  Returns:
    the itemsInRow

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### addItem

    public void addItem(Item vItem,
                        java.util.ArrayList<java.lang.String> loggerTraceList)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addItem

    public void addItem(Item vItem)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addItem

    public void addItem(int index,
                        Item vItem)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### deleteIndex

    public void deleteIndex()

### enumerateItem

    public java.util.Enumeration<? extends Item> enumerateItem()

  Method enumerateItem.

  Returns:
    an Enumeration over all es.inteco.xbrl.lenlocpenloc.config.format.Item elements

### getId

    public java.lang.String getId()

  Returns the value of field 'id'.

  Returns:
    the value of field 'Id'.

### getValue

    public java.lang.String getValue()

  Returns the value of field 'value'.

  Returns:
    the value of field 'value'.

### getIndex

    public long getIndex()

  Returns the value of field 'index'.

  Returns:
    the value of field 'Index'.

### getItem

    public Item getItem(int index)
                 throws java.lang.IndexOutOfBoundsException

  Method getItem.

  Parameters:
    `index` -
  Returns:
    the value of the es.inteco.xbrl.lenlocpenloc.config.format.Item at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getItem

    public Item[] getItem()

  Method getItem.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getItemCount

    public int getItemCount()

  Method getItemCount.

  Returns:
    the size of this collection

### hasIndex

    public boolean hasIndex()

  Method hasIndex.

  Returns:
    true if at least one Index has been added

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllItem

    public void removeAllItem()

### removeItem

    public boolean removeItem(Item vItem)

  Method removeItem.

  Parameters:
    `vItem` -
  Returns:
    true if the object was removed from the collection.

### removeItemAt

    public Item removeItemAt(int index)

  Method removeItemAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setId

    public void setId(java.lang.String id)

  Sets the value of field 'id'.

  Parameters:
    `id` - the value of field 'id'.

### setValue

    public void setValue(java.lang.String value)

  Sets the value of field 'value'.

  Parameters:
    `value` - the value of field 'value'.

### setIndex

    public void setIndex(long index)

  Sets the value of field 'index'.

  Parameters:
    `index` - the value of field 'index'.

### setItem

    public void setItem(int index,
                        Item vItem)
                 throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setItem

    public void setItem(Item[] vItemArray)

  Parameters:
    `vItemArray` -

### unmarshal

    public static Row unmarshal(java.io.Reader reader)
                         throws org.exolab.castor.xml.MarshalException,
                                org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled es.inteco.xbrl.lenlocpenloc.config.format.Row
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD